Subject: RE: [ANCP] Which GSMP document?

From: "Sanjay Wadhwa" <[email-masked]>
Date: Wed, 5 Dec 2007 06:45:12 -0500

Hi Michael
 As mentioned in a response to a mail from Stefaan in October, x-function field has been retained for use in the future to pass any "function" specific data. 1 byte for the main function field seems adequate. For the currently defined use-cases, x-function field should be set to 0. In the updated version (02) of the draft, I have added text to section 5.4.3 to clarify this. 
We do need to fix the action code, as 0x08 is already defined in GSMPv3 (this was also covered in response to Stefaans mail). We will address this in the next rev of the draft. However, before we make that change, I would like to verify if there are an implementations for line configuration use case today that will be impacted by this change. 

Regards
-Sanjay

________________________________

From: Busser, M [mailto:[email-masked]] 
Sent: Friday, November 16, 2007 3:25 AM
To: [email-masked]
Subject: [ANCP] Which GSMP document?

Hello Smita, all
 
The actual version of the ANCP draft refeers to: 
[4]   Doria, A. et al, "General Switch Management Protocol- V3" (GSMPv3), RFC 3292, June 2002.
 
The first figure in section 5.4.3 fits to some later revisions of the GSMP document 
(e.g. draft-ietf-gsmp-v3-base-spec-06.txt  or  draft-ietf-gsmp-v3-base-spec-08.txt).
 
There are some differences between this both documents, we should take into account:
 
GSMPv3: 
- The document does not have a field X-Function in the PORT MANAGEMENT message
  It only contains a field Function wich is 16 bits long. 
- The field "Transmit Data Rate" does exist
- action code 0x8 is already defined as "Set Transmit Data Rate"

A later revisions of the GSMP document (e.g. draft-ietf-gsmp-v3-base-spec-06.txt  or  draft-ietf-gsmp-v3-base-spec-08.txt):
- The 16 bit field Function is splitted up into two 8 bit fields named Function and X-Funtion 
- The field "Transmit Data Rate" does not exist
- action code 8 is not defined

Shouldn't we describe the changes of the GSMP messages, which we need for ANCP according to GSMPv3  RFC ?
All later revisions of the GSMP document are already expired, as far as i know.

Best regard 
 
Michael Busser
T-Systems Enterprise Services GmbH 
Production Line Network Centric Systems
ICT-Systems Integration
Network Integration Services

-----Ursprüngliche Nachricht-----
Von: [email-masked] [mailto:[email-masked]] 
Gesendet: Donnerstag, 15. November 2007 07:07
An: [email-masked]
Betreff: [ANCP] Query about ANCP

The field X-Function which is sent in the Line Configuration Extension block sent by NAS(Refer

To section 5.4.3 in draft-ietf-ancp-protocol-01.txt) is not defined in the 

Draft. Where can this definition be found? 

Regards,

Smita.

_______________________________________________
ANCP mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ancp